免费注册 查看新帖 |

Chinaunix

  平台 论坛 博客 文库
最近访问板块 发新帖
查看: 2048 | 回复: 3

请教,"apt-get install package"时,如何只安装特定的包?? [复制链接]

论坛徽章:
0
发表于 2008-08-28 23:48 |显示全部楼层
请教,"apt-get install package"时,如果只是建议和推荐安装,如何设置来不安装这些包??

muen@Mars:~$ sudo apt-get install prolog-el
Password:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
将会安装下列额外的软件包:
  emacs21 emacs21-bin-common emacs21-common emacsen-common
建议安装的软件包:
  emacs21-common-non-dfsg emacs21-el
推荐安装的软件包:
  swi-prolog gprolog
下列【新】软件包将被安装:
  emacs21 emacs21-bin-common emacs21-common emacsen-common prolog-el
共升级了 0 个软件包,新安装了 5 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 11.7MB 的软件包。
解压缩后会消耗掉 41.6MB 的额外空间。
您希望继续执行吗?[Y/n]n
中止执行。
muen@Mars:~$

论坛徽章:
0
发表于 2008-09-01 21:26 |显示全部楼层
不安装依赖关系,你这个包能用?

论坛徽章:
0
发表于 2008-09-01 22:30 |显示全部楼层
这是依赖关系。
不装,可能就没法用了。

论坛徽章:
0
发表于 2008-09-01 22:47 |显示全部楼层
你用的光盘是从官方下载的吗~~如果不是那肯定光盘有问题.
您需要登录后才可以回帖 登录 | 注册

本版积分规则 发表回复

DTCC2020中国数据库技术大会

【架构革新 高效可控】2020年12月21日-23日第十一届中国数据库技术大会将在北京隆重召开。

大会设置2大主会场,20+技术专场,将邀请超百位行业专家,重点围绕数据架构、AI与大数据、传统企业数据库实践和国产开源数据库等内容展开分享和探讨,为广大数据领域从业人士提供一场年度盛会和交流平台。

http://dtcc.it168.com


大会官网>>
  

北京盛拓优讯信息技术有限公司. 版权所有 16024965号-6 北京市公安局海淀分局网监中心备案编号:11010802020122
中国互联网协会会员  联系我们:huangweiwei@it168.com
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP